"Fossies" - the Fresh Open Source Software Archive

Member "cook-2.34/test/00/t0076a.sh" (25 Sep 2010, 1925 Bytes) of package /linux/misc/old/cook-2.34.tar.gz:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) Bash source code syntax highlighting (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 #!/bin/sh
    2 #
    3 #       cook - file construction tool
    4 #       Copyright (C) 1994, 1997, 1998, 2007, 2008 Peter Miller
    5 #
    6 #       This program is free software; you can redistribute it and/or modify
    7 #       it under the terms of the GNU General Public License as published by
    8 #       the Free Software Foundation; either version 3 of the License, or
    9 #       (at your option) any later version.
   10 #
   11 #       This program is distributed in the hope that it will be useful,
   12 #       but WITHOUT ANY WARRANTY; without even the implied warranty of
   13 #       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   14 #       GNU General Public License for more details.
   15 #
   16 #       You should have received a copy of the GNU General Public License
   17 #       along with this program. If not, see
   18 #       <http://www.gnu.org/licenses/>.
   19 #
   20 work=${COOK_TMP:-/tmp}/$$
   21 PAGER=cat
   22 export PAGER
   23 umask 022
   24 unset COOK
   25 here=`pwd`
   26 if test $? -ne 0 ; then exit 1; fi
   27 
   28 bin="$here/${1-.}/bin"
   29 
   30 fail()
   31 {
   32         set +x
   33         echo 'FAILED test of the strip builtin function' 1>&2
   34         cd $here
   35         rm -rf $work
   36         exit 1
   37 }
   38 pass()
   39 {
   40         set +x
   41         cd $here
   42         rm -rf $work
   43         exit 0
   44 }
   45 trap \"fail\" 1 2 3 15
   46 
   47 mkdir $work $work/lib
   48 if test $? -ne 0 ; then exit 1; fi
   49 cd $work
   50 if test $? -ne 0 ; then fail; fi
   51 
   52 #
   53 # Use the default error messages.  There is no other way to get
   54 # predictable test behaviour on the unknown systems we will be tested on.
   55 #
   56 COOK_MESSAGE_LIBRARY=$work/no-such-dir
   57 export COOK_MESSAGE_LIBRARY
   58 unset LANG
   59 
   60 #
   61 # test the strip builtin function
   62 #
   63 cat > Howto.cook << 'fubar'
   64 test:
   65 {
   66         if [not [in "hello sailor" [strip "   hello\t\fsailor\n"]]] then
   67                 fail;
   68 }
   69 fubar
   70 if test $? -ne 0 ; then fail; fi
   71 
   72 $bin/cook -nl
   73 if test $? -ne 0 ; then fail; fi
   74 
   75 #
   76 # Only definite negatives are possible.
   77 # The functionality exercised by this test appears to work,
   78 # no other guarantees are made.
   79 #
   80 pass